CorebanqCorebanq Developer Docs
Accountsv1

Create new account

Handler: CreateAccount. Returns AccountResponse (balance as MoneyAmount).

POST
/v1/accounts

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/accounts" \  -H "Content-Type: application/json" \  -d '{    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",    "currency": "str"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "active": true,
  "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
  "currency": "string",
  "balance": {
    "amount": "123456",
    "currency": "EUR",
    "precision": 2
  },
  "iban": "string",
  "country_code": "string",
  "country": "string",
  "country_id": "b42f7153-60f9-4aff-a5b5-21576be4161e",
  "check_digits": "string",
  "bban": "string",
  "bank": "string",
  "bic": "string",
  "description": "string",
  "metadata": {},
  "status": "active"
}
{
  "status": 400,
  "message": "string"
}
{
  "status": 400,
  "message": "string"
}
{
  "status": 400,
  "message": "string"
}